Summary: chinese lexicons library for xcin-2.5
Name: libtabe
Version: 0.1.8
Release: 1mdk
Copyright: Redistributable
Group: System/Libraries
Source0: libtabe-%{version}.tar.bz2
#Patch0: 0.1_0.1-1.diff.gz
URL: http://libtabe.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-buildroot
Obsoletes: libtabe-tsi
Requires: locales-zh

%description
Chinese lexicons library for xcin-2.5's bimsphone input method.

%package devel
Summary: Header files and libraries for developing apps which will use libtabe
Group: Development/C

%description devel
Chinese lexicons library for xcin-2.5's bimsphone input method.

%prep

rm -rf $RPM_BUILD_ROOT

%setup -q -n libtabe
#%patch0 -p1 -b .update

%build
cp -f /usr/share/libtool/config.sub script

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --enable-shared --prefix=/usr 
make

%install

export prefix=$RPM_BUILD_ROOT/%{_prefix}
make -e install

# make link so that xcin-2.5 can use yin.db and tsi.db
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab/big5/
ln -sf ../../../../../../share/tabe/tsiyin/tsi.db \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab/big5/tsi.db
ln -sf ../../../../../../share/tabe/tsiyin/yin.db \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab/big5/yin.db

%files
%defattr(-,root,root)
%doc COPYING  doc/libtabe.sgml
%{_datadir}/tabe
%{_bindir}/*
%{_libdir}/*.so.*
/usr/X11R6/lib/X11/xcin/tab/big5/yin.db
/usr/X11R6/lib/X11/xcin/tab/big5/tsi.db
%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 22 2000 Andrew Lee <andrew@cle.linux.org.tw>
- 0.1.8
- BM
- clean spec
- macros

* Mon Oct  9 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update to 0.1.7

* Fri Jul 28 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update libtabe-0.1-6

* Sat Jul  8 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update libtabe-0.1-5

* Wed May  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- split packages
- added Requires: locales-zh for auto-selection at install time
- added URL

* Sat Mar 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-2

* Fri Feb 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- 0.1_0.1-1.diff

* Sat Feb 12 2000 Andrew Lee <andrew@cle.linux.org.tw>
- libtabe-0.1-20000209.diff thanks to jouston <jouston@i18n.linux.org.tw>

* Tue Feb 09 2000 Andrew Lee <andrew@cle.linux.org.tw>
- libtabe-0.1-20000208.diff

* Thu Feb 04 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add libtabe.diff.20000202

* Fri Feb  4 2000 Cheng Yuan-Cheng <platin@linux.org.tw>
- .spec file cleanup
- change xcin directory to /usr/X11R6/lib/X11/xcin/

* Tue Jan 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add bimsphone module patch

* Mon Jan 24 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1

* Wed Dec 15 1999 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-pre8

* Thu Nov 29 1999 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-pre7

* Thu Nov 25 1999 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for Mandrake
- update libtabe-0.1-pre6

* Thu Aug 26 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- rebuild for libtabe-0.1-pre2
- a indepent package with tsiyin-src and tabe library..

* Sat Jun 19 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- from libtabe-tsi-src.tar.gz for xcin-2.5.0


